## org.eclipse.datatools.sqltools.parsers.sql
Class AbstractSQLParser

    java.lang.Object
      lpg.lpgjavaruntime.PrsStream
          org.eclipse.datatools.sqltools.parsers.sql.AbstractSQLParser

All Implemented Interfaces:
  lpg.lpgjavaruntime.ParseErrorCodes, lpg.lpgjavaruntime.RuleAction, lpg.lpgjavaruntime.TokenStream

Direct Known Subclasses:
  SQLParser

    public abstract class AbstractSQLParser

extends lpg.lpgjavaruntime.PrsStream
implements lpg.lpgjavaruntime.RuleAction

Field Summary
`static int` `G_SUFFIX`
`static int` `K_SUFFIX`
`static int` `M_SUFFIX`

Fields inherited from interface lpg.lpgjavaruntime.ParseErrorCodes
`BEFORE_CODE, DELETION_CODE, EOF_CODE, ERROR_CODE, errorMsgText, INSERTION_CODE, INVALID_CODE, INVALID_TOKEN_CODE, LEX_ERROR_CODE, MERGE_CODE, MISPLACED_CODE, SCOPE_CODE, SECONDARY_CODE, SUBSTITUTION_CODE`

Method Summary
`void` `diagnose(lpg.lpgjavaruntime.BadParseException bpe)`
`int` `getErrorDiagnosingNumberMax()`
`int` `getErrorDiagnosingTimeMax()`
`int` `getToken(int p_tok)`
`boolean` `isCheckStmtOnly()`
`void` `makeToken(int startLoc, int endLoc, int kind)`
`abstract java.lang.String[]` `orderedTerminalSymbols()`
`void` `remapTerminalSymbols(java.lang.String[] ordered_parser_symbols, int eof_symbol)`
`void` `reportError(int errorCode, java.lang.String locationInfo, int leftToken, int rightToken, java.lang.String tokenText)`
`void` `resetParser(lpg.lpgjavaruntime.LexStream lexStream)` Resets the state of this `AbstractSQLParser`.
`abstract void` `ruleAction(int rule)`
`void` `setCheckStmtOnly(boolean checkStmtOnly)`
`void` `setErrorDiagnosingNumberMax(int errorDiagnosingNumberMax)`
`void` `setErrorDiagnosingTimeMax(int errorDiagnosingTimeMax)`

Methods inherited from class lpg.lpgjavaruntime.PrsStream

`addAdjunct, addToken, afterEol, badToken, dumpToken, dumpTokens, getAdjuncts, getColumn, getColumnOfTokenAt, getEndColumn, getEndColumnOfTokenAt, getEndLine, getEndLineNumberOfTokenAt, getEndOffset, getFileName, getFirstErrorToken, getFirstRealToken, getFollowingAdjuncts, getInputChars, getIToken, getKind, getLastErrorToken, getLastRealToken, getLexStream, getLine, getLineNumberOfTokenAt, getName, getNext, getPrecedingAdjuncts, getPrevious, getSize, getStartOffset, getStreamIndex, getStreamLength, getToken, getTokenAt, getTokenAtCharacter, getTokenIndexAtCharacter, getTokenLength, getTokens, getTokenText, makeAdjunct, makeErrorToken, mapKind, peek, reportError, reportError, reportError, reset, reset, resetLexStream, resetTokenStream, setSize, setStreamIndex, setStreamLength, setStreamLength`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### K_SUFFIX

    public static final int K_SUFFIX

See Also:
  Constant Field Values

### M_SUFFIX

    public static final int M_SUFFIX

See Also:
  Constant Field Values

### G_SUFFIX

    public static final int G_SUFFIX

See Also:
  Constant Field Values

Method Detail

### ruleAction

    public abstract void ruleAction(int rule)

  Specified by:
    `ruleAction` in interface `lpg.lpgjavaruntime.RuleAction`
  See Also:
    `RuleAction.ruleAction(int)`

### orderedTerminalSymbols

    public abstract java.lang.String[] orderedTerminalSymbols()

  Overrides:
    `orderedTerminalSymbols` in class `lpg.lpgjavaruntime.PrsStream`

### getToken

    public int getToken(int p_tok)

  Specified by:
    `getToken` in interface `lpg.lpgjavaruntime.TokenStream`
  Overrides:
    `getToken` in class `lpg.lpgjavaruntime.PrsStream`

### diagnose

    public void diagnose(lpg.lpgjavaruntime.BadParseException bpe)

### reportError

    public void reportError(int errorCode,
                            java.lang.String locationInfo,
                            int leftToken,
                            int rightToken,
                            java.lang.String tokenText)

  Specified by:
    `reportError` in interface `lpg.lpgjavaruntime.TokenStream`
  Overrides:
    `reportError` in class `lpg.lpgjavaruntime.PrsStream`

### remapTerminalSymbols

    public void remapTerminalSymbols(java.lang.String[] ordered_parser_symbols,
                                     int eof_symbol)
                              throws lpg.lpgjavaruntime.UndefinedEofSymbolException,
                                     lpg.lpgjavaruntime.NullExportedSymbolsException,
                                     lpg.lpgjavaruntime.NullTerminalSymbolsException,
                                     lpg.lpgjavaruntime.UnimplementedTerminalsException

  Overrides:
    `remapTerminalSymbols` in class `lpg.lpgjavaruntime.PrsStream`
  Throws:
    `lpg.lpgjavaruntime.UndefinedEofSymbolException`
    `lpg.lpgjavaruntime.NullExportedSymbolsException`
    `lpg.lpgjavaruntime.NullTerminalSymbolsException`
    `lpg.lpgjavaruntime.UnimplementedTerminalsException`
  See Also:
    `PrsStream.remapTerminalSymbols(java.lang.String[], int)`

### makeToken

    public void makeToken(int startLoc,
                          int endLoc,
                          int kind)

  Specified by:
    `makeToken` in interface `lpg.lpgjavaruntime.TokenStream`
  Overrides:
    `makeToken` in class `lpg.lpgjavaruntime.PrsStream`

### getErrorDiagnosingNumberMax

    public int getErrorDiagnosingNumberMax()

  Returns:
    Returns the errorDiagnosingNumberMax.

### setErrorDiagnosingNumberMax

    public void setErrorDiagnosingNumberMax(int errorDiagnosingNumberMax)

  Parameters:
    `errorDiagnosingNumberMax` - The errorDiagnosingNumberMax to set.

### getErrorDiagnosingTimeMax

    public int getErrorDiagnosingTimeMax()

  Returns:
    Returns the errorDiagnosingTimeMax.

### setErrorDiagnosingTimeMax

    public void setErrorDiagnosingTimeMax(int errorDiagnosingTimeMax)

  Parameters:
    `errorDiagnosingTimeMax` - The errorDiagnosingTimeMax to set.

### resetParser

    public void resetParser(lpg.lpgjavaruntime.LexStream lexStream)

  Resets the state of this `AbstractSQLParser`.

### isCheckStmtOnly

    public boolean isCheckStmtOnly()

  Returns:
    Returns the checkStmtOnly.

### setCheckStmtOnly

    public void setCheckStmtOnly(boolean checkStmtOnly)

  Parameters:
    `checkStmtOnly` - The checkStmtOnly to set.